Module jdk.jshell
Package jdk.jshell

## Class MethodSnippet

- java.lang.Object
- - jdk.jshell.Snippet
  - - jdk.jshell.PersistentSnippet
    - - jdk.jshell.DeclarationSnippet
      - - jdk.jshell.MethodSnippet

    public class MethodSnippet
    extends DeclarationSnippet

Snippet for a method definition. The Kind is `Snippet.Kind.METHOD`.

`MethodSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

Since:
  9
See The Java™ Language Specification:
  8.4: MethodDeclaration.

### Nested Class Summary

### Nested classes/interfaces declared in class jdk.jshell.Snippet

`Snippet.Kind, Snippet.Status, Snippet.SubKind`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `parameterTypes()` A String representation of the parameter types of the method.
`String` `signature()` The full type signature of the method, including return type.

### Methods declared in class jdk.jshell.PersistentSnippet

`name`

### Methods declared in class jdk.jshell.Snippet

`id, kind, source, subKind`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parameterTypes

    public String parameterTypes()

A String representation of the parameter types of the method.

Returns:
  a comma separated list of user entered parameter types for the method.

#### signature

    public String signature()

The full type signature of the method, including return type.

Returns:
  A String representation of the parameter and return types